// ignore_for_file: constant_identifier_names

import '../../../paisa.dart';

enum CountryCode {
  AD(Currency.EUR),
  AE(Currency.AED),
  AF(Currency.AFN),
  AG(Currency.XCD),
  AI(Currency.XCD),
  AL(Currency.ALL),
  AM(Currency.AMD),
  AO(Currency.AOA),
  AQ(Currency.USD),
  AR(Currency.ARS),
  AS(Currency.USD),
  AT(Currency.EUR),
  AU(Currency.AUD),
  AW(Currency.AWG),
  AX(Currency.EUR),
  AZ(Currency.AZN),
  BA(Currency.BAM),
  BB(Currency.BBD),
  BD(Currency.BDT),
  BE(Currency.EUR),
  BF(Currency.XOF),
  BG(Currency.BGN),
  BH(Currency.BHD),
  BI(Currency.BIF),
  BJ(Currency.XOF),
  BL(Currency.EUR),
  BM(Currency.BMD),
  BN(Currency.BND),
  BO(Currency.BOB),
  BQ(Currency.USD),
  BR(Currency.BRL),
  BS(Currency.BSD),
  BT(Currency.BTN),
  BV(Currency.NOK),
  BW(Currency.BWP),
  BY(Currency.BYN),
  BZ(Currency.BZD),
  CA(Currency.CAD),
  CC(Currency.AUD),
  CD(Currency.CDF),
  CF(Currency.XAF),
  CG(Currency.XAF),
  CH(Currency.CHF),
  CI(Currency.XOF),
  CK(Currency.NZD),
  CL(Currency.CLP),
  CM(Currency.XAF),
  CN(Currency.CNY),
  CO(Currency.COP),
  CR(Currency.CRC),
  CU(Currency.CUP),
  CV(Currency.CVE),
  CW(Currency.ANG),
  CX(Currency.AUD),
  CY(Currency.EUR),
  CZ(Currency.CZK),
  DE(Currency.EUR),
  DJ(Currency.DJF),
  DK(Currency.DKK),
  DM(Currency.XCD),
  DO(Currency.DOP),
  DZ(Currency.DZD),
  EC(Currency.USD),
  EE(Currency.EUR),
  EG(Currency.EGP),
  EH(Currency.MAD),
  ER(Currency.ERN),
  ES(Currency.EUR),
  ET(Currency.ETB),
  FI(Currency.EUR),
  FJ(Currency.FJD),
  FK(Currency.FKP),
  FM(Currency.USD),
  FO(Currency.DKK),
  FR(Currency.EUR),
  GA(Currency.XAF),
  GB(Currency.GBP),
  GD(Currency.XCD),
  GE(Currency.GEL),
  GF(Currency.EUR),
  GG(Currency.GBP),
  GH(Currency.GHS),
  GI(Currency.GIP),
  GL(Currency.DKK),
  GM(Currency.GMD),
  GN(Currency.GNF),
  GP(Currency.EUR),
  GQ(Currency.XAF),
  GR(Currency.EUR),
  GS(Currency.GBP),
  GT(Currency.GTQ),
  GU(Currency.USD),
  GW(Currency.XOF),
  GY(Currency.GYD),
  HK(Currency.HKD),
  HM(Currency.AUD),
  HN(Currency.HNL),
  HR(Currency.HRK),
  HT(Currency.HTG),
  HU(Currency.HUF),
  ID(Currency.IDR),
  IE(Currency.EUR),
  IL(Currency.ILS),
  IM(Currency.GBP),
  IN(Currency.INR),
  IO(Currency.USD),
  IQ(Currency.IQD),
  IR(Currency.IRR),
  IS(Currency.ISK),
  IT(Currency.EUR),
  JE(Currency.GBP),
  JM(Currency.JMD),
  JO(Currency.JOD),
  JP(Currency.JPY),
  KE(Currency.KES),
  KG(Currency.KGS),
  KH(Currency.KHR),
  KI(Currency.AUD),
  KM(Currency.KMF),
  KN(Currency.XCD),
  KP(Currency.KPW),
  KR(Currency.KRW),
  KW(Currency.KWD),
  KY(Currency.KYD),
  KZ(Currency.KZT),
  LA(Currency.LAK),
  LB(Currency.LBP),
  LC(Currency.XCD),
  LI(Currency.CHF),
  LK(Currency.LKR),
  LR(Currency.LRD),
  LS(Currency.LSL),
  LT(Currency.EUR),
  LU(Currency.EUR),
  LY(Currency.LYD),
  MA(Currency.MAD),
  MC(Currency.EUR),
  MD(Currency.MDL),
  ME(Currency.EUR),
  MF(Currency.EUR),
  MH(Currency.USD),
  MK(Currency.MKD),
  ML(Currency.XOF),
  MM(Currency.MMK),
  MN(Currency.MNT),
  MO(Currency.MOP),
  MP(Currency.USD),
  MQ(Currency.EUR),
  MR(Currency.MRU),
  MS(Currency.XCD),
  MT(Currency.EUR),
  MU(Currency.MUR),
  MV(Currency.MVR),
  MW(Currency.MWK),
  MX(Currency.MXN),
  MY(Currency.MYR),
  MZ(Currency.MZN),
  NA(Currency.NAD),
  NC(Currency.XPF),
  NE(Currency.XOF),
  NF(Currency.AUD),
  NG(Currency.NGN),
  NI(Currency.NIO),
  NL(Currency.EUR),
  NO(Currency.NOK),
  NP(Currency.NPR),
  NR(Currency.AUD),
  NU(Currency.NZD),
  NZ(Currency.NZD),
  OM(Currency.OMR),
  PA(Currency.PAB),
  PE(Currency.PEN),
  PF(Currency.XPF),
  PG(Currency.PGK),
  PH(Currency.PHP),
  PK(Currency.PKR),
  PL(Currency.PLN),
  PM(Currency.EUR),
  PN(Currency.NZD),
  PR(Currency.USD),
  PS(Currency.ILS),
  PT(Currency.EUR),
  PW(Currency.USD),
  PY(Currency.PYG),
  QA(Currency.QAR),
  RE(Currency.EUR),
  RO(Currency.RON),
  RS(Currency.RSD),
  RU(Currency.RUB),
  RW(Currency.RWF),
  SA(Currency.SAR),
  SB(Currency.SBD),
  SC(Currency.SCR),
  SD(Currency.SDG),
  SE(Currency.SEK),
  SG(Currency.SGD),
  SH(Currency.SHP),
  SI(Currency.EUR),
  SJ(Currency.NOK),
  SK(Currency.EUR),
  SL(Currency.SLL),
  SM(Currency.EUR),
  SN(Currency.XOF),
  SO(Currency.SOS),
  SR(Currency.SRD),
  SS(Currency.SSP),
  ST(Currency.STD),
  SV(Currency.SVC),
  SX(Currency.ANG),
  SY(Currency.SYP),
  SZ(Currency.SZL),
  TC(Currency.USD),
  TD(Currency.XAF),
  TF(Currency.EUR),
  TG(Currency.XOF),
  TH(Currency.THB),
  TJ(Currency.TJS),
  TK(Currency.NZD),
  TL(Currency.USD),
  TM(Currency.TMT),
  TN(Currency.TND),
  TO(Currency.TOP),
  TR(Currency.TRY),
  TT(Currency.TTD),
  TV(Currency.AUD),
  TW(Currency.TWD),
  TZ(Currency.TZS),
  UA(Currency.UAH),
  UG(Currency.UGX),
  UM(Currency.USD),
  US(Currency.USD),
  UY(Currency.UYU),
  UZ(Currency.UZS),
  VA(Currency.EUR),
  VC(Currency.XCD),
  VE(Currency.VEF),
  VG(Currency.USD),
  VI(Currency.USD),
  VN(Currency.VND),
  VU(Currency.VUV),
  WF(Currency.XPF),
  WS(Currency.WST),
  YE(Currency.YER),
  YT(Currency.EUR),
  ZA(Currency.ZAR),
  ZM(Currency.ZMW),
  ZW(Currency.ZWL);

  const CountryCode(this.currency);

  final Currency currency;
}
