// ignore_for_file: constant_identifier_names
// ignoring this linter rule because the names are the same as the API

enum Currency {
  AED('United Arab Emirates Dirham', 'AED'),
  AFN('Afghan Afghani', '؋'),
  ALL('Albanian Lek', 'Lek'),
  AMD('Armenian Dram', '֏'),
  ANG('Netherlands Antillean Guilder', 'ƒ'),
  AOA('Angolan Kwanza', 'Kz'),
  ARS('Argentine Peso', '\$'),
  AUD('Australian Dollar', '\$'),
  AWG('Aruban Florin', 'ƒ'),
  AZN('Azerbaijani Manat', '₼'),
  BAM('Bosnia-Herzegovina Convertible Mark', 'KM'),
  BBD('Barbadian Dollar', '\$'),
  BDT('Bangladeshi Taka', '৳'),
  BGN('Bulgarian Lev', 'лв'),
  BHD('Bahraini Dinar', 'د.ب'),
  BIF('Burundi Franc', 'Fr'),
  BMD('Bermudian Dollar', '\$'),
  BND('Brunei Dollar', '\$'),
  BOB('Bolivian Boliviano', '\$b'),
  BRL('Brazilian Real', 'R\$'),
  BSD('Bahamian Dollar', '\$'),
  BTN('Bhutanese Ngultrum', 'Nu.'),
  BWP('Botswana Pula', 'P'),
  BYN('Belarusian Ruble', 'Br'),
  BZD('Belize Dollar', '\$'),
  CAD('Canadian Dollar', '\$'),
  CDF('Congolese Franc', 'Fr'),
  CF('Congolese Franc', 'Fr'),
  CHF('Swiss Franc', 'CHF'),
  CLF('Chilean Unit of Account (UF)', 'UF'),
  CLP('Chilean Peso', '\$'),
  CNY('Chinese Yuan', '¥'),
  COP('Colombian Peso', '\$'),
  CRC('Costa Rican Colón', '₡'),
  CUC('Cuban Convertible Peso', '\$'),
  CUP('Cuban Peso', '\$'),
  CVE('Cape Verdean Escudo', '\$'),
  CZK('Czech Koruna', 'Kč'),
  DJF('Djiboutian Franc', 'Fr'),
  DKK('Danish Krone', 'kr'),
  DOP('Dominican Peso', '\$'),
  DZD('Algerian Dinar', 'د.ج'),
  EGP('Egyptian Pound', '£'),
  ERN('Eritrean Nakfa', 'Nfk'),
  ETB('Ethiopian Birr', 'Br'),
  EUR('Euro', '€'),
  FCFA('Central African CFA Franc', 'Fr'),
  FJD('Fijian Dollar', '\$'),
  FKP('Falkland Islands Pound', '£'),
  GBP('British Pound', '£'),
  GEL('Georgian Lari', '₾'),
  GHS('Ghanaian Cedi', '₵'),
  GIN('Guinean Franc', 'Fr'),
  GIP('Gibraltar pound', '£'),
  GMD('Gambian Dalasi', 'D'),
  GNF('Guinean Franc', 'Fr'),
  GTQ('Guatemalan Quetzal', 'Q'),
  GYD('Guyanese Dollar', '\$'),
  HKD('Hong Kong Dollar', '\$'),
  HNL('Honduran Lempira', 'L'),
  HRK('Croatian Kuna', 'kn'),
  HTG('Haitian Gourde', 'G'),
  HUF('Hungarian Forint', 'Ft'),
  IDR('Indonesian Rupiah', 'Rp'),
  ILS('Israeli New Sheqel', '₪'),
  INR('Indian Rupee', '₹'),
  IQD('Iraqi Dinar', 'ع.د'),
  IRR('Iranian Rial', '﷼'),
  ISK('Icelandic Króna', 'kr'),
  JMD('Jamaican Dollar', '\$'),
  JOD('Jordanian Dinar', 'د.ا'),
  JPY('Japanese Yen', '¥'),
  KES('Kenyan Shilling', 'Sh'),
  KGS('Kyrgyzstani Som', 'лв'),
  KHR('Cambodian Riel', '៛'),
  KMF('Comorian franc', 'Fr'),
  KPW('North Korean Won', '₩'),
  KRW('South Korean Won', '₩'),
  KWD('Kuwaiti Dinar', 'د.ك'),
  KYD('Cayman Islands Dollar', '\$'),
  KZT('Kazakhstani Tenge', 'лв'),
  LAK('Lao Kip', '₭'),
  LBP('Lebanese Pound', 'ل.ل'),
  LKR('Sri Lankan Rupee', '₨'),
  LRD('Liberian Dollar', '\$'),
  LSL('Lesotho Loti', 'L'),
  LYD('Libyan Dinar', 'ل.د'),
  MAD('Moroccan Dirham', 'د.م.'),
  MDL('Moldovan Leu', 'L'),
  MKD('Macedonian Denar', 'ден'),
  MMK('Burmese Kyat', 'K'),
  MNT('Mongolian Tögrög', '₮'),
  MOP('Macanese Pataca', 'P'),
  MRU('Mauritanian Ouguiya', 'UM'),
  MUR('Mauritian Rupee', '₨'),
  MVR('Maldivian Rufiyaa', 'Rf'),
  MWK('Malawian Kwacha', 'MK'),
  MXN('Mexican Peso', '\$'),
  MYR('Malaysian Ringgit', 'RM'),
  MZN('Mozambican Metical', 'MT'),
  NAD('Namibian Dollar', '\$'),
  NGN('Nigerian Naira', '₦'),
  NIO('Nicaraguan Córdoba', 'C\$'),
  NOK('Norwegian Krone', 'kr'),
  NPR('Nepalese Rupee', '₨'),
  NZD('New Zealand Dollar', '\$'),
  OMR('Omani Rial', 'ر.ع.'),
  PAB('Panamanian Balboa', 'B/.'),
  PEN('Peruvian Nuevo Sol', 'S/.'),
  PGK('Papua New Guinean Kina', 'K'),
  PHP('Philippine Peso', '₱'),
  PKR('Pakistani Rupee', '₨'),
  PLN('Polish Złoty', 'zł'),
  PYG('Paraguayan Guarani', '₲'),
  QAR('Qatari Riyal', 'ر.ق'),
  RON('Romanian Leu', 'lei'),
  RSD('Serbian Dinar', 'дин'),
  RUB('Russian Ruble', '₽'),
  RWF('Rwandan Franc', 'Fr'),
  SAR('Saudi Riyal', 'ر.س'),
  SBD('Solomon Islands Dollar', '\$'),
  SCR('Seychellois Rupee', '₨'),
  SDG('Sudanese Pound', 'ج.س.'),
  SEK('Swedish Krona', 'kr'),
  SGD('Singapore Dollar', '\$'),
  SHP('Saint Helena Pound', '£'),
  SLL('Sierra Leonean Leone', 'Le'),
  SOS('Somali Shilling', 'Sh'),
  SRD('Surinamese Dollar', '\$'),
  SSP('South Sudanese Pound', '£'),
  STD('São Tomé and Príncipe Dobra', 'Db'),
  SVC('Salvadoran Colón', '₡'),
  SYP('Syrian Pound', '£'),
  SZL('Swazi Lilangeni', 'L'),
  THB('Thai Baht', '฿'),
  TJS('Tajikistani Somoni', 'SM'),
  TMT('Turkmenistani Manat', ''),
  TND('Tunisian Dinar', 'د.ت'),
  TOP('Tongan Paanga', 'T\$'),
  TRY('Turkish Lira', '₺'),
  TTD('Trinidad and Tobago Dollar', '\$'),
  TWD('New Taiwan Dollar', '\$'),
  TZS('Tanzanian Shilling', 'Sh'),
  UAH('Ukrainian Hryvnia', '₴'),
  UGX('Ugandan Shilling', 'Sh'),
  USD('United States Dollar', '\$'),
  UYU('Uruguayan Peso', '\$'),
  UZS('Uzbekistani Som', 'лв'),
  VEF('Venezuelan Bolívar', 'Bs F'),
  VND('Vietnamese Đồng', '₫'),
  VUV('Vanuatu Vatu', 'Vt'),
  WST('Samoan Tala', 'T'),
  XAF('Central African CFA franc', 'Fr'),
  XCD('East Caribbean Dollar', '\$'),
  XOF('West African CFA franc', 'Fr'),
  XPF('CFP Franc', 'Fr'),
  YER('Yemeni Rial', '﷼'),
  ZAR('South African Rand', 'R'),
  ZMW('Zambian Kwacha', 'ZK'),
  ZWL('Zimbabwean Dollar', '\$');

  const Currency(this.currencyName, this.currencySymbol);
  final String currencyName;
  final String currencySymbol;
}
